Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045966
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Loyalty Programs for Web POSmajorhave not tried2021-03-01 05:042021-03-11 08:11
Reportercollazoandy4View Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045966: Customer Member Id field is empty in Loyalty Card popup if the subscription is flaged as isActive = false

DescriptionWhen customers can only subscribe to one loyalty program and this program have an inactive status (the subscription ends) the member id is shown empty in Loyalty Card popup if a new subscription is registered for a customer with a subscription with inactive status

This behavior can be simulate outside the client environment when the existing subscription is updated as isActive = false because the customer loyalty subscription is not loaded in LoyaltySubscriptions.java
Steps To ReproduceEnable Remote for Customer preference
  Log in STA-1 Pos terminal
    Search for Arturo Montoro customer and click on View Details contextual menu
    In Customer popup check the customer is subscribed to LOYA - Gold Customers loyalty program
    Click on Loyalty program to open Loyalty Program subscription popup
    Open loyalty subscription details popup (click on View details contextual menu) and check Member Id is LOY1000000
  Log in As Retail Test Admin Role in the backend
    Go to Business Partner window and select Arturo Montoro record
      In Subscription tab edit the first record as isActive = False
  Log in STA-1 Pos terminal
    Search for Arturo Montoro customer and click on View Details contextual menu
    In Customer popup check no loyalty subscription is shown
    Register a new subscription for Gold Customers loyalty program
    Check In new Loyalty Card popup the member Id field is empty
Proposed SolutionShow the customer Member Id in Loyalty Card popup when a new subscription are registering for the same loyalty program even if the last subscription can be retrieve in LoyaltySubscriptions.java because subscription status is inactive (client enviroment) or isActive = false
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126579)
hgbot (developer)
2021-03-10 06:58

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.programs/-/merge_requests/1 [^]
(0126580)
hgbot (developer)
2021-03-10 06:59

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/merge_requests/16 [^]
(0126609)
hgbot (developer)
2021-03-11 08:11

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs [^]
Changeset: a3577d59ee2e6090adf7317416ffa4fc14cb84f4
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-03-08T18:38:14+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/commit/a3577d59ee2e6090adf7317416ffa4fc14cb84f4 [^]

Fixed ISSUE-45966: Updated FilterQuery to get memberid from inactive subscriptions

---
M src/org/openbravo/retail/loyalty/programs/process/LoyaltySubscriptionsCardLoader.java
M web/org.openbravo.retail.loyalty.programs/js/component/program-selection-popup.js
---
(0126610)
hgbot (developer)
2021-03-11 08:11

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/merge_requests/16 [^]
(0126611)
hgbot (developer)
2021-03-11 08:11

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.programs [^]
Changeset: 3f914cee6d09c1f5fa72c5cee36f4eccf0dc16f3
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-03-10T08:38:38+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.programs/-/commit/3f914cee6d09c1f5fa72c5cee36f4eccf0dc16f3 [^]

Related to ISSUE-45966: Added Eventhandler to validate the Program and Memberid unique status

---
M src-db/database/model/tables/OBLP_SUBSCRIPTION.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/loyalty/programs/eventhandler/SubscriptionEventHandler.java
---
(0126612)
hgbot (developer)
2021-03-11 08:11

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.loyalty.programs/-/merge_requests/1 [^]

- Issue History
Date Modified Username Field Change
2021-03-01 05:04 collazoandy4 New Issue
2021-03-01 05:04 collazoandy4 Assigned To => Retail
2021-03-01 05:04 collazoandy4 Triggers an Emergency Pack => No
2021-03-08 06:58 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-03-08 11:11 ranjith_qualiantech_com Status new => scheduled
2021-03-10 06:58 hgbot Note Added: 0126579
2021-03-10 06:59 hgbot Note Added: 0126580
2021-03-11 08:11 hgbot Resolution open => fixed
2021-03-11 08:11 hgbot Status scheduled => closed
2021-03-11 08:11 hgbot Note Added: 0126609
2021-03-11 08:11 hgbot Note Added: 0126610
2021-03-11 08:11 hgbot Note Added: 0126611
2021-03-11 08:11 hgbot Note Added: 0126612


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker